package de.bsvrz.vew.ereigniskal.ereigniskal.erinnerungsfunktion;

import java.util.Date;
import java.util.Timer;

import de.bsvrz.sys.funclib.debug.Debug;
import de.bsvrz.vew.ereigniskal.ereigniskal.NeuBerechnung;

/**
 * Kommentar
 * 
 * @version $Revision: 1.1 $ / $Date: 2009/09/24 12:49:57 $ / ($Author: Pittner $)
 * @author Dambach-Werke GmbH
 * @author Timo Pittner
 */
public class ErinnerungsFunktionJahr
{

  /**
   * Das Timer Objekt
   */
  private Timer timer = new Timer();

  /**
   * Das Ereignis, wird dem Sender-Instanz bergeben
   */
  private NeuBerechnung n;

  /**
   * Der Debugger, stellt verschiedene Protokollierungsfunktionen zur Verfgung
   */
  private Debug _debug;

  /**
   * @param n
   */
  public ErinnerungsFunktionJahr(NeuBerechnung n)
  {

    this.n = n;
    _debug = Debug.getLogger();

  }

  /**
   * @param l
   */
  public void load(Long l)
  {
    Date date = new Date();
    date.setTime(l);

    _debug.config("Nchste Neuberechnung: " + date.toString());

    timer.schedule(n, date);
  }

  /**
   * 
   */
  public void unload()
  {

    timer.cancel();

  }

}
